/***************************************************************************
* $Id$
**
* Copyright ( C ) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/

import org.trinitydesktop.qt.*;

public class Main {

public static void main(String[] args)
{
    TQApplication a = new TQApplication( args );

    Scribble scribble = new Scribble();

    scribble.resize( 500, 350 );
    scribble.setCaption("Qt Example - Scribble");
    a.setMainWidget( scribble );
    if ( TQApplication.desktop().width() > 550
	 && TQApplication.desktop().height() > 366 )
	scribble.show();
    else
	scribble.showMaximized();
    a.exec();
    return;
}

	static {
		qtjava.initialize();
	}
}
